Package org.bgerp.app.servlet.jsp.tag

# Class SavePageContextTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
org.bgerp.app.servlet.jsp.tag.SavePageContextTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class SavePageContextTag extends javax.servlet.jsp.tagext.TagSupport

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

  `id, pageContext`

  ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

  `EVAL_BODY_AGAIN`

  ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

  `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SavePageContextTag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `doEndTag()`
  `int`
  `doStartTag()`
  `void`
  `setExport(String value)`

  ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

  `doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SavePageContextTag

    public SavePageContextTag()

- ## Method Details

  - ### doStartTag

    public int doStartTag() throws javax.servlet.jsp.JspException
    Specified by:
      `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
    Overrides:
      `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
    Throws:
      `javax.servlet.jsp.JspException`

  - ### doEndTag

    public int doEndTag()
    Specified by:
      `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
    Overrides:
      `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`

  - ### setExport

    public void setExport(String value)